What's moving and why
curl --request GET \
--url https://api.routeur.app/v1/insights/moves \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights/moves"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights/moves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights/moves"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"market": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"signals": [
{
"kind": "burst",
"score": 123,
"detected_at": "2023-11-07T05:31:56Z"
}
],
"trades_24h": 123,
"net_usd_24h": "<string>",
"related": 123
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Signals
What's moving and why
The biggest 24-hour price moves among markets with at least $1,000 traded, each with the unusual-trading signals of the last day, its trades and net money toward Yes, and how many markets the graph relates to it.
GET
/
v1
/
insights
/
moves
What's moving and why
curl --request GET \
--url https://api.routeur.app/v1/insights/moves \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/insights/moves"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/insights/moves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/insights/moves"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"market": {
"venue": "kalshi",
"id": "<string>",
"event_id": "<string>",
"title": "<string>",
"label": "<string>",
"volume_24h_usd": "0.4100",
"yes_ask_usd": "<string>",
"change_24h": "<string>",
"sparkline": [
"0.4100"
]
},
"signals": [
{
"kind": "burst",
"score": 123,
"detected_at": "2023-11-07T05:31:56Z"
}
],
"trades_24h": 123,
"net_usd_24h": "<string>",
"related": 123
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
apiKeybearer
Query Parameters
Markets to return, biggest move first.
Required range:
1 <= x <= 100